Bug 1894013 - [v2v][Testday] VMware to CNV VM import]VMware URL: It is not clear that only the FQDN/IP address is required without 'https://'
Summary: [v2v][Testday] VMware to CNV VM import]VMware URL: It is not clear that only ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 10:34 UTC by Ilanit Stein
Modified: 2021-02-24 15:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:29:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7533 0 None closed Bug 1894013: VMware URL IP address is required without https:// 2020-12-27 11:52:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:29:45 UTC

Description Ilanit Stein 2020-11-03 10:34:42 UTC
Description of problem:
VM import from VMware to CNV wizard. VMware URL - It is not clear that only the FQDN / IP address is required. Users would usually/normally tend to enter https://<FQDN> - That will pass connection validation and vms detection, and the VM import can be triggered.
The VM import will fail, with an error message that do not reflect the problem.

v2v pod log show this error:
error 2020-10-20 10:42:36,452 - root - ERROR - virt-v2v error: could not parse '-ic vpx://administrator%40vsphere.local@https://rhev-node-05.rdu2.scalelab.redhat.com/Datacenter/host/Cluster/f02-h26-000-r620.rdu2.scalelab.redhat.com?no_verify=1'.  
Original error message was: parse_uri: unable to parse URI

Version-Release number of selected component (if applicable):
OCP-4.6/CNV-2.5

Additional info:
This bug was reported during the "Migration to Openshift Virtualization Test day" on Oct 20 2020.

Comment 1 Yaacov Zamir 2020-11-04 13:21:37 UTC
Note: we have a (?) help icon to open a info box that explain it, but users may miss it, in the libvirt import we have more bold hint about the url structure, we may do something similar.

Comment 4 Ilanit Stein 2020-12-27 11:56:27 UTC
Verified on 4.7.0-fc.0
When entering VMware URL that starts with https://, this error message apear: 
"Hostname must not contain https prefix".
In addition the "Check & save" button is grayed out.

Comment 6 errata-xmlrpc 2021-02-24 15:29:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.